﻿Public Class 系統設定
    Private Sub Set_醫師設定()
        Dim ds2 As New DataSet
        醫師_dgv.DataSource = Nothing : ds2.Clear()
        醫師_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        醫師_dgv.ColumnHeadersHeight = 25 : 醫師_dgv.AllowUserToAddRows = False
        SQL_醫生清單()
        da.Fill(ds2) : 醫師_dgv.DataSource = ds2.Tables(0) : conn.Close()
    End Sub
    Private Sub Set_適應症設定()
        'Dim ds2 As New DataSet
        '適應症_dgv.DataSource = Nothing : ds2.Clear()
        '適應症_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        '適應症_dgv.ColumnHeadersHeight = 25 : 適應症_dgv.AllowUserToAddRows = False
        'SQL_適應症設定()
        'da.Fill(ds2) : 適應症_dgv.DataSource = ds2.Tables(0) : conn.Close()
        '適應症_dgv.Columns(0).FillWeight = 30
    End Sub
    Private Sub Set_時段設定()
        Dim ds2 As New DataSet
        時段_dgv.DataSource = Nothing : ds2.Clear()
        時段_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        時段_dgv.ColumnHeadersHeight = 25 : 時段_dgv.AllowUserToAddRows = False
        SQL_時段設定()
        da.Fill(ds2) : 時段_dgv.DataSource = ds2.Tables(0) : conn.Close()
        時段_dgv.Columns(0).FillWeight = 100
    End Sub
    Private Sub Set_FTP資料庫管理清單()
        Dim ds7 As New DataSet
        FTP_dgv.DataSource = Nothing : ds7.Clear()
        FTP_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        FTP_dgv.ColumnHeadersHeight = 25 : FTP_dgv.AllowUserToAddRows = False
        SQL_FTP資料庫管理()
        da.Fill(ds7) : FTP_dgv.DataSource = ds7.Tables(0) : conn.Close()
        FTP_dgv.Columns(0).FillWeight = 100
    End Sub
    Private Sub Set_年度清單()
        Dim ds1 As New DataSet
        年份_dgv.DataSource = Nothing : ds1.Clear()
        年份_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        年份_dgv.ColumnHeadersHeight = 25 : 年份_dgv.AllowUserToAddRows = False
        SQL_年份清單()
        da.Fill(ds1) : 年份_dgv.DataSource = ds1.Tables(0) : conn.Close()
        年份_dgv.Columns(0).FillWeight = 100
    End Sub
    Private Sub Set_FTP資料夾清單()
        Dim ds As New DataSet
        資料夾清單_dgv.DataSource = Nothing : ds.Clear()
        資料夾清單_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        資料夾清單_dgv.ColumnHeadersHeight = 25 : 資料夾清單_dgv.AllowUserToAddRows = False
        SQL_FTP資料夾路徑分配()
        da.Fill(ds) : 資料夾清單_dgv.DataSource = ds.Tables(0) : conn.Close()
        資料夾清單_dgv.Columns(0).Width = 70 : 資料夾清單_dgv.Columns(1).Width = 200 : 資料夾清單_dgv.Columns(2).Width = 200 : 資料夾清單_dgv.Columns(3).Width = 70
    End Sub
    Private Sub Set_工作職務()
        Dim ds3 As New DataSet
        職務_dgv.DataSource = Nothing : ds3.Clear()
        職務_dgv.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.EnableResizing
        職務_dgv.ColumnHeadersHeight = 25 : 職務_dgv.AllowUserToAddRows = False
        SQL_工作職務()
        da.Fill(ds3) : 職務_dgv.DataSource = ds3.Tables(0) : conn.Close()
        職務_dgv.Columns(0).FillWeight = 100
    End Sub
    Private Sub 系統設定_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        Me.AutoScroll = True
        Set_年度清單() : Set_FTP資料夾清單() : Set_工作職務() : Set_適應症設定() : Set_醫師設定() : Set_FTP資料庫管理清單() : Set_時段設定()
        Target1 = Target : FTP資料夾_wb.Url = New Uri(Target1)

        SQL_系統版本號驗證()
        If dr.Read() Then : 資料庫版本號_lb.Text = "資料庫版本號 : " & dr("系統認證版本號") : 版本號_tb.Text = dr("系統認證版本號") : End If : conn.Close()
        Target1 = Target & AA(0) & "/" : FTP執行檔_wb.Url = New Uri(Target1)
        If FolderBrowserDialog1.ShowDialog = DialogResult.OK Then : 本機資料夾_wb.Navigate(FolderBrowserDialog1.SelectedPath) : End If
    End Sub
    Private Sub 年份_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 年份_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            年份_tb.Text = 年份_dgv("年份", e.RowIndex).Value.ToString
        End If
    End Sub
    Private Sub 資料夾清單_dgv_CellClick(ByVal sender As System.Object, ByVal e As DataGridViewCellEventArgs) Handles 資料夾清單_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            資料夾名稱_tb.Text = 資料夾清單_dgv("資料夾名稱", e.RowIndex).Value.ToString : 指定頁面_tb.Text = 資料夾清單_dgv("指定頁面", e.RowIndex).Value.ToString
            備註_tb.Text = 資料夾清單_dgv("備註", e.RowIndex).Value.ToString : 指定_tb.Text = 資料夾清單_dgv("指定", e.RowIndex).Value.ToString
        End If
    End Sub
    Private Sub 職務_dgv_Click(sender As Object, e As DataGridViewCellEventArgs) Handles 職務_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            職務_tb.Text = 職務_dgv("職務", e.RowIndex).Value.ToString
        End If
    End Sub
    Private Sub 適應症_dgv_CellContentClick(sender As Object, e As DataGridViewCellEventArgs) Handles 適應症_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            適應症_編號_tb.Text = 適應症_dgv(0, e.RowIndex).Value.ToString : 適應症_tb.Text = 適應症_dgv(1, e.RowIndex).Value.ToString
        End If
    End Sub
    Private Sub 醫師_dgv_CellContentClick(sender As Object, e As DataGridViewCellEventArgs) Handles 醫師_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            醫師_tb.Text = 醫師_dgv(0, e.RowIndex).Value.ToString
        End If
    End Sub
    Private Sub FTP_dgvCellContentClick(sender As Object, e As DataGridViewCellEventArgs) Handles FTP_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            地址_tb.Text = FTP_dgv("FTP地址", e.RowIndex).Value.ToString : 帳號_tb.Text = FTP_dgv("FTP帳號", e.RowIndex).Value.ToString
            密碼_tb.Text = FTP_dgv("FTP密碼", e.RowIndex).Value.ToString : 地區_tb.Text = FTP_dgv("地區", e.RowIndex).Value.ToString
            位置_tb.Text = FTP_dgv("FTP物理位置", e.RowIndex).Value.ToString
        End If
    End Sub
    Private Sub 時段_dgv_CellContentClick(sender As Object, e As DataGridViewCellEventArgs) Handles 時段_dgv.CellClick
        If e.RowIndex = -1 Then : Else
            ID_tb.Text = 時段_dgv("ID", e.RowIndex).Value.ToString : 時段_tb.Text = 時段_dgv("時段", e.RowIndex).Value.ToString
            時段1_tb.Text = 時段_dgv("時段1", e.RowIndex).Value.ToString : 時段2_tb.Text = 時段_dgv("時段2", e.RowIndex).Value.ToString
            時段3_tb.Text = 時段_dgv("時段3", e.RowIndex).Value.ToString : 時段4_tb.Text = 時段_dgv("時段4", e.RowIndex).Value.ToString
            時段5_tb.Text = 時段_dgv("時段5", e.RowIndex).Value.ToString : 時段6_tb.Text = 時段_dgv("時段6", e.RowIndex).Value.ToString
            時段7_tb.Text = 時段_dgv("時段7", e.RowIndex).Value.ToString : 時段8_tb.Text = 時段_dgv("時段8", e.RowIndex).Value.ToString
            上午上班_tb.Text = 時段_dgv("上午上班", e.RowIndex).Value.ToString : 下午上班_tb.Text = 時段_dgv("下午上班", e.RowIndex).Value.ToString
            加班上班_tb.Text = 時段_dgv("加班上班", e.RowIndex).Value.ToString : 一段休息_tb.Text = 時段_dgv("一段休息", e.RowIndex).Value.ToString
            二段休息_tb.Text = 時段_dgv("二段休息", e.RowIndex).Value.ToString
        End If
    End Sub
    Private Sub SET_新增按鈕程式共用2()
        CmdSet_For_dr() : Dim unused = MsgBox("新增完成") : conn.Close() : dr.Close()
    End Sub
    Private Sub SET_修改按鈕程式共用1()
        CmdSet_For_dr() : Dim unused = MsgBox("修改完成") : conn.Close()
    End Sub
    Private Sub SET_刪除按鈕程式共用1()
        Dim aa As MsgBoxResult = MsgBox("確定要刪除該筆資料?", MsgBoxStyle.OkCancel)
        If aa = MsgBoxResult.Ok Then : ConnOpen() : CmdSet_For_dr() : MsgBox("刪除完成") : End If : conn.Close() : 式共用1()
    End Sub
    Private Sub 式共用1()
        Set_年度清單() : PA = ""
    End Sub
    Private Sub 式共用2()
        dr.Close() : ConnOpen()
    End Sub
    Private Sub 式共用3()
        ConnOpen()
    End Sub
    '---------------------年份清單-----------------------------------------------------------------------------------------------------------------
    Private Sub Button11_Click(sender As Object, e As EventArgs) Handles 年份_新增_bt.Click
        If 年份_tb.Text = "" Then : MsgBox("資料有缺或有誤，請重新檢查")
        Else
            PA = 年份_tb.Text : SQL_年份清單查詢()
            If dr.Read() Then : MsgBox("資料重複，請從新輸入或檢查") : conn.Close() : dr.Close()
            Else : 式共用2() : SQL_年份清單新增() : SET_新增按鈕程式共用2() : End If
        End If : 式共用1()
    End Sub
    Private Sub Button10_Click(sender As Object, e As EventArgs) Handles 年份_修改_bt.Click
        If 年份_tb.Text = "" Then : MsgBox("資料有缺或有誤，請重新檢查")
        Else
            PA = InputBox("請輸入要修改的內容") : PA1 = 年份_tb.Text
            If PA = "" Then : MsgBox("沒有輸入修改內容")
            Else : 式共用3() : SQL_年份清單修改() : SET_修改按鈕程式共用1() : End If
        End If : 式共用1()
    End Sub
    Private Sub Button12_Click(sender As Object, e As EventArgs) Handles 年份_刪除_bt.Click
        PA = 年份_tb.Text
        SQL_年份清單刪除() : SET_刪除按鈕程式共用1()
    End Sub
    '-----------------------------------工作職務 新增 修改 刪除------------------------------------------------------------------------------------
    Private Sub 職務新增_bt_Click(sender As Object, e As EventArgs) Handles 職務新增_bt.Click
        If 職務_tb.Text = "" Then : MsgBox("不能為空白")
        Else
            PA = 職務_tb.Text : SQL_工作新增() : Set_工作職務() : MsgBox("新增完成")
        End If
    End Sub
    Private Sub 職務修改_bt_Click(sender As Object, e As EventArgs) Handles 職務修改_bt.Click
        If 職務_tb.Text = "" Then
            MsgBox("沒有選擇修改內容")
        Else
            PA = InputBox("請輸入要修改的內容") : SQL_工作修改() : Set_工作職務() : conn.Close() : MsgBox("修改完成")
        End If
    End Sub
    Private Sub 職務刪除_bt_Click(sender As Object, e As EventArgs) Handles 職務刪除_bt.Click
        If 職務_tb.Text = "" Then
            MsgBox("沒有選擇刪除內容")
        Else
            Dim bb As MsgBoxResult = MsgBox("確定要刪除該筆資料?", MsgBoxStyle.OkCancel)
            If bb = MsgBoxResult.Ok Then
                SQL_工作刪除() : conn.Close() : Set_工作職務() : MsgBox("刪除完成")
            End If
        End If
    End Sub
    '---------------------時段設定--------------------------------------------------------------------------------------
    Private Sub 時段新增_bt_Click(sender As Object, e As EventArgs) Handles 時段新增_bt.Click
        If 時段_tb.Text = "" Then : MsgBox("時段不能為空白")
        Else
            PA = ID_tb.Text : PA1 = 時段_tb.Text : PA2 = 時段1_tb.Text : PA3 = 時段2_tb.Text : PA4 = 時段3_tb.Text
            PA5 = 時段4_tb.Text : PA6 = 時段5_tb.Text : PA7 = 時段6_tb.Text : PA8 = 時段7_tb.Text : PA9 = 時段8_tb.Text
            PA10 = 上午上班_tb.Text : PA11 = 下午上班_tb.Text : PA12 = 加班上班_tb.Text : PA13 = 一段休息_tb.Text : PA14 = 二段休息_tb.Text
            SQL_時段新增() : Set_時段設定() : MsgBox("新增完成")
        End If
    End Sub
    Private Sub 時段修改_bt_Click(sender As Object, e As EventArgs) Handles 時段修改_bt.Click
        If 時段_tb.Text = "" Then
            MsgBox("沒有選擇修改內容")
        Else
            PA = ID_tb.Text : PA1 = 時段_tb.Text : PA2 = 時段1_tb.Text : PA3 = 時段2_tb.Text : PA4 = 時段3_tb.Text
            PA5 = 時段4_tb.Text : PA6 = 時段5_tb.Text : PA7 = 時段6_tb.Text : PA8 = 時段7_tb.Text : PA9 = 時段8_tb.Text
            PA10 = 上午上班_tb.Text : PA11 = 下午上班_tb.Text : PA12 = 加班上班_tb.Text : PA13 = 一段休息_tb.Text : PA14 = 二段休息_tb.Text
            SQL_時段修改() : Set_時段設定() : conn.Close() : MsgBox("修改完成")
        End If
    End Sub
    Private Sub 時段刪除_bt_Click(sender As Object, e As EventArgs) Handles 時段刪除_bt.Click
        If 時段_tb.Text = "" Then
            MsgBox("沒有選擇刪除內容")
        Else
            Dim dd As MsgBoxResult = MsgBox("確定要刪除該筆資料?", MsgBoxStyle.OkCancel)
            If dd = MsgBoxResult.Ok Then
                SQL_時段刪除() : conn.Close() : Set_時段設定() : MsgBox("刪除完成")
            End If
        End If
    End Sub
    '---------------------FTP資料庫管理-----------------------------------------------------------------------------------------------------------------
    Private Sub 資料庫新增_tb_Click(sender As Object, e As EventArgs) Handles 資料庫新增_tb.Click
        If 地址_tb.Text = "" Or 位置_tb.Text = "" Or 位置_tb.Text = "" Then : MsgBox("不能為空白")
        Else
            PA = 地址_tb.Text : PA1 = 地區_tb.Text : PA2 = 位置_tb.Text : PA3 = 帳號_tb.Text : PA4 = 密碼_tb.Text : SQL_資料庫新增() : Set_FTP資料庫管理清單()
        End If
    End Sub
    Private Sub 資料庫修改_tb_Click(sender As Object, e As EventArgs) Handles 資料庫修改_tb.Click
        If 地址_tb.Text = "" Or 位置_tb.Text = "" Then
            MsgBox("沒有選擇修改內容")
        Else
            PA = 地址_tb.Text : PA2 = 位置_tb.Text : PA3 = 帳號_tb.Text : PA4 = 密碼_tb.Text
            SQL_資料庫修改() : Set_FTP資料庫管理清單() : conn.Close() : MsgBox("修改完成")
        End If
    End Sub
    Private Sub 資料庫刪除_tb_Click(sender As Object, e As EventArgs) Handles 資料庫刪除_tb.Click
        If 地區_tb.Text = "" And 位置_tb.Text = "" Then
            MsgBox("沒有選擇刪除內容")
        Else
            Dim cc As MsgBoxResult = MsgBox("確定要刪除該筆資料?", MsgBoxStyle.OkCancel)
            If cc = MsgBoxResult.Ok Then
                SQL_資料庫刪除() : conn.Close() : Set_FTP資料庫管理清單() : MsgBox("刪除完成")
            End If
        End If
    End Sub
    '---------------------適應症-----------------------------------------------------------------------------------------------------------------
    Private Sub 適應症_新增_bt_Click(sender As Object, e As EventArgs) Handles 適應症_新增_bt.Click
        SQL_查詢最後一筆適應症()
        If dr.Read() Then : 適應症_編號_tb.Text = dr("編號").ToString : Else : 適應症_編號_tb.Text = "0" : End If : conn.Close()
        Dim NUM1 As Integer
        NUM1 = Double.Parse(Strings.Right(適應症_編號_tb.Text, 2)) + 1
        If NUM1 < 10 Then : 適應症_編號_tb.Text = "N" & "0" & NUM1
        ElseIf NUM1 > 9 And NUM1 < 100 Then : 適應症_編號_tb.Text = "N" & NUM1 : End If
        SQL_適應症新增() : Set_適應症設定() : conn.Close() : MsgBox("新增完成")
    End Sub
    Private Sub 適應症_修改_bt_Click(sender As Object, e As EventArgs) Handles 適應症_修改_bt.Click
        If 適應症_編號_tb.Text = "" Then
            MsgBox("沒有選擇修改內容")
        Else
            PA = 適應症_編號_tb.Text : PA1 = 適應症_tb.Text
            SQL_適應症修改() : Set_適應症設定() : conn.Close() : MsgBox("修改完成")
        End If
    End Sub
    Private Sub 適應症_刪除_bt_Click(sender As Object, e As EventArgs) Handles 適應症_刪除_bt.Click
        If 適應症_編號_tb.Text = "" Then
            MsgBox("沒有選擇刪除內容")
        Else
            Dim cc As MsgBoxResult = MsgBox("確定要刪除該筆資料?", MsgBoxStyle.OkCancel)
            If cc = MsgBoxResult.Ok Then
                SQL_適應症刪除() : conn.Close() : Set_適應症設定() : MsgBox("刪除完成")
            End If
        End If
    End Sub
    '---------------------醫生-----------------------------------------------------------------------------------------------------------------
    Private Sub 醫生_新增_bt_Click(sender As Object, e As EventArgs) Handles 醫生_新增_bt.Click
        SQL_查詢醫生()
        If dr.Read() Then : MsgBox("該醫師名稱已經在資料庫中，無法新增!!")
        Else : SQL_醫生新增() : Set_醫師設定() : conn.Close() : MsgBox("新增完成")
        End If : conn.Close()
    End Sub
    Private Sub 醫生_修改_bt_Click(sender As Object, e As EventArgs) Handles 醫生_修改_bt.Click
        If 醫師_tb.Text = "" Then : MsgBox("沒有選擇修改內容")
        Else : PA = InputBox("請輸入要修改的內容") : SQL_醫生修改() : Set_醫師設定() : conn.Close() : MsgBox("修改完成")
        End If : conn.Close()
    End Sub
    Private Sub 醫生_刪除_bt_Click(sender As Object, e As EventArgs) Handles 醫生_刪除_bt.Click
        If 醫師_tb.Text = "" Then : MsgBox("沒有選擇刪除內容")
        Else : SQL_醫生刪除() : Set_醫師設定() : conn.Close() : MsgBox("刪除完成")
        End If : conn.Close()
    End Sub
    '---------------------FTP資料夾管理-----------------------------------------------------------------------------------------------------------------
    Private Sub 新增_bt_Click(sender As Object, e As EventArgs) Handles 新增_bt.Click
        SQL_FTP資料夾管理新增() : conn.Close() : Set_FTP資料夾清單()
    End Sub
    Private Sub 修改_bt_Click(sender As Object, e As EventArgs) Handles 修改_bt.Click
        SQL_FTP資料夾管理修改() : conn.Close() : Set_FTP資料夾清單()
    End Sub
    Private Sub 刪除_bt_Click(sender As Object, e As EventArgs) Handles 刪除_bt.Click
        Dim aa As MsgBoxResult = MsgBox("確定要刪除該筆資料?", MsgBoxStyle.OkCancel)
        If aa = MsgBoxResult.Ok Then
            SQL_FTP資料夾管理刪除()
        End If : conn.Close() : Set_FTP資料夾清單()
    End Sub
    '---------------------系統執行檔版本管理-----------------------------------------------------------------------------------------------------------------
    Private Sub 修改1_bt_Click(sender As Object, e As EventArgs) Handles 修改1_bt.Click
        SQL_版本號管理修改() : conn.Close() : SQL_系統版本號驗證()
        If dr.Read() Then : 資料庫版本號_lb.Text = "資料庫版本號 : " & dr("系統認證版本號") : 版本號_tb.Text = dr("系統認證版本號") : End If : conn.Close() : MsgBox("修改完成")
    End Sub
    Private Sub 讀取資料夾路徑_bt_Click(sender As Object, e As EventArgs) Handles 讀取資料夾路徑_bt.Click
        If FolderBrowserDialog1.ShowDialog = DialogResult.OK Then : 本機資料夾_wb.Navigate(FolderBrowserDialog1.SelectedPath) : End If
    End Sub
End Class
